Start a conversation

What if I have a slow/old computer?

MailWasher requires Windows XP, Vista or Windows 7, 8, 8.1 or 10 to work.If you have a slow computer you can go to Settings tab>>General>>Performance and change some of the performance settings there.As you move the mouse over each option it will display help about that option.


Alternatively, you can download the previous version of MailWasher Pro as this also works on Windows 2000 and slower computers.

Choose files or drag and drop files
Was this article helpful?
Yes
No
  1. NB

  2. Posted

Comments